import request from '@/utils/request'

// 获取批发时间段
export function getWholeTimeArea(data) {
	return request({
		url: '/api/whole/index',
		method: 'get',
		data
	});
}

// 获取批发商品列表
export function getWholeList(data) {
	return request({
		url: '/api/whole/list/',
		method: 'get',
		data
	});
}

// 获取批发商品详情
export function getWholeDetai(data,id,time,status,is_new) {
	return request({
		url: '/api/whole/detail/' + id + '/' + time + '/' + status + '/' + is_new,
		method: 'get',
		data
	});
}

// 预约包
export function reservePackage(data) {
	return request({
		url: '/api/package/reserve',
		method: 'post',
		data
	});
}

// 我的包
export function getMyPackage() {
	return request({
		url: '/api/package/mylist',
		method: 'post',
		data
	});
}

// 上传评证
export function upEvaluation() {
	return request({
		url: '/api/package/evaluation',
		method: 'post',
		data
	});
}

// 获取新人礼包
export function getNewList(data) {
	return request({
		url: '/api/whole/news',
		method: 'get',
		data
	});
}